#
# spec file for package python-argh
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without tests

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-argh
Version:        0.26.1
Release:        lp150.1.3
Summary:        A simple argparse wrapper
License:        LGPL-3.0+
Group:          Development/Languages/Python
Url:            https://github.com/neithere/argh/
Source:         https://files.pythonhosted.org/packages/source/a/argh/argh-%{version}.tar.gz
# PATCH-FIX-OPENSUSE python-argh-0.26.1-fix-testsuite.patch -- so that tests can run on OBS
Patch0:         python-argh-0.26.1-fix-testsuite.patch
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# test requirements
%if %{with tests}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest}
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
Agrh, argparse!

Did you ever say "argh" trying to remember the details of optparse or argparse
API? If yes, this package may be useful for you. It provides a very simple
wrapper for argparse with support for hierarchical commands that can be bound
to modules or classes. Argparse can do it; argh makes it easy.

Here's a list of features that argh adds to argparse:

* mark a function as a CLI command and specify its arguments before the parser
  is instantiated;
* nesed commands made easy: no messing with subparsers (though they are of
  course used under the hood);
* infer agrument type from the default value;
* infer command name from function name;
* add an alias root command help for the --help argument;
* enable passing unwrapped arguments to certain functions instead of a
  argparse.Namespace object.

Argh is fully compatible with argparse. You can mix argh-agnostic and
argh-aware code. Just keep in mind that argh.dispatch does some extra
work that a custom dispatcher may not do.

%prep
%setup -q -n argh-%{version}
%patch0 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%if %{with tests}
%check
export LC_CTYPE="en_US.UTF-8"
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/argh/
%{python_sitelib}/argh-%{version}-py*.egg-info

%changelog
* Mon Apr 24 2017 toddrme2178@gmail.com
- Fix source URL
- Various small spec file cleanups.
* Sun Apr 23 2017 aloisio@gmx.com
- Converted to single-spec
- Added python-argh-0.26.1-fix-testsuite.patch
- Enabled tests
* Sun Apr 19 2015 benoit.monin@gmx.fr
- update to version 0.26.1
  * no changelog available
- update project URL
- package README.rst instead of README
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Sep 25 2013 p.drouand@gmail.com
- Update to version 0.23.3
  + No changelog available
* Thu Mar  7 2013 darin@darins.net
- Update to verios 0.23.0
  + Upstream provides no changelog
* Fri Nov 23 2012 saschpe@suse.de
- Update to version 0.17.2:
  + Upstream provides no changelog
* Wed Jun  6 2012 os-dev@jacraig.com
- Update to version 0.15.1:
  + Upstream provides no changelog
* Tue Jan 31 2012 saschpe@suse.de
- Initial version
